CP(1)

NAVN
cp - kopiering af filer og mapper

SYNOPSIS
cp [FLAG]... [-T] KILDE MÅL
cp [FLAG]... KILDE... KATALOG
cp [FLAG]... -t KATALOG KILDE...

BESKRIVELSE

Kopiér KILDE til MÅL eller en eller flere KILDEr til KATALOG.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

-a, --archive
    samme som -dR --preserve=all

--attributes-only
    kopiér ikke fildata, men kun attributter

--backup[=KONTROL]
    lav sikkerhedskopi af hver eksisterende målfil

-b  ligesom --backup, men tager ikke noget argument

--copy-contents
    kopiér indholdet af specialfiler ved rekursion

-d  samme som --no-dereference --preserve=links

-f, --force
    hvis en eksisterende målfil ikke kan åbnes, så fjern den og prøv igen (dette flag ignoreres når flaget -n også bruges)

-i, --interactive
    bed om bekræftelse før overskrivning af filer (tilsidesætter tidligere -n-flag)

-H  følg symbolske lænker fra kommandolinje i KILDE

-l, --link
    opret hårde lænker til filer frem for at kopiere

-L, --dereference
    følg altid symbolske lænker i KILDE

-n, --no-clobber
    overskriv ikke en eksisterende fil (tilsidesætter eventuelt tidligere flag -i)

-P, --no-dereference
    følg aldrig symbolske lænker i KILDE

-p  samme som --preserve=mode,ownership,timestamps

--preserve[=ATTRLISTE]
    bevar filattributter om muligt (standard: mode,ownership,timestamps), om muligt yderligere attributter: context, links, xattr, all

--no-preserve=ATTRLISTE
    bevar ikke de angivne attributter

--parents
    brug det fulde kildefilnavn under KATALOG

-R, -r, --recursive
    kopiér kataloger rekursivt

--reflink[=NÅR]
    bestem clone-/CoW-kopiering. Se nedenfor

--remove-destination
    fjern hver eksisterende målfil før forsøg på at åbne den (sammenlign med --force)

--sparse=NÅR
    estem oprettelsen af usammenhængende filer. Se nedenfor

--strip-trailing-slashes
    fjern eventuelle skråstreger i slutningen af hvert KILDE-argument

-s, --symbolic-link
    opret symbolske lænker i stedet for at kopiere

-S, --suffix=SUFFIKS
    tilsidesæt det sædvanlige sikkerhedskopi-suffiks

-t, --target-directory=MAPPE
    kopier alle KILDE-argumenter til MAPPE

-T, --no-target-directory
    behandl MÅL som en normal fil

-u, --update
    kopiér kun hvis KILDE-filen er nyere end målfilen, eller når målfilen ikke findes

-v, --verbose
    forklar hvad der sker

-x, --one-file-system
    bliv på dette filsystem

-Z  sæt SELinux-sikkerhedskontekst for destinations-filen til standardtypen

--context[=KONT]
    som -Z, eller givet KONT, sæt SELinux- eller SMACK-sikkerhedskontekst til KONT

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

Normalt bliver usammenhængende KILDE-filer opdaget ved hjælp af en enkel heuristik, og den korresponderende MÅL-fil bliver også gjort usammenhængende. Denne opførsel vælges med --sparse=auto. Angiv --sparse=always for altid at oprette usammenhængende MÅL-filer for KILDE-filer, der indeholder en tilstrækkeligt lang sekvens med nul-byte. Brug --sparse=never for at forhindre oprettelse af usammenhængende filer.

Når --reflink[=always] er givet, udføres en letvægtskopi, hvori datablokkene kun kopieres når de ændres. Hvis dette ikke er muligt, vil kopieringen slå fejl eller, hvis --reflink[=auto] er givet, blive udført med normal kopiering. Brug --reflink[=never] til kun at benytte normal kopiering.

Suffikset for sikkerhedskopiering er "~", med mindre andet er angivet med --suffix eller SIMPLE_BACKUP_SUFFIX. Versionsstyringsmetoden kan vælges med flaget --backup eller vha. miljøvariabelen VERSION_CONTROL. Gyldige værdier er:

none, off
    lav aldrig sikkerhedskopier (selvom --backup er givet)

numbered, t
    lav nummererede sikkerhedskopier

existing, nil
    nummererede, hvis nummererede sikkerhedskopier eksisterer, ellers enkle sikkerhedskopier

simple, never
    lav altid enkle sikkerhedskopier

Som et specialtilfælde laver cp en sikkerhedskopi af KILDE når flagene for "force" og "backup" er angivet, og KILDE og MÅL er samme navn for en eksisterende, regulær fil.

FORFATTER
Skrevet af Torbjorn Granlund, David MacKenzie og Jim Meyering.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
Fuld dokumentation <https://www.gnu.org/software/coreutils/cp>
eller lokalt tilgængelig via: info '(coreutils) cp invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.